Skip to main content
GET
/
credit
/
accounts
/
{account}
/
info
curl --request GET \
  --url 'https://api.sprinter.tech/credit/accounts/{account}/info'
{
  "data": {
    "USDC": {
      "debt": "750.25",
      "dueDate": "2025-07-15T23:59:59Z",
      "healthFactor": "1.85",
      "interest": "12.34",
      "liquidationLimit": "900.00",
      "mHealthFactor": "1.10",
      "principal": "737.91",
      "remainingCreditCapacity": "1249.75",
      "totalCollateralValue": "2500.00",
      "totalCreditCapacity": "2000.00"
    }
  }
}
curl --request GET \
  --url 'https://api.sprinter.tech/credit/accounts/{account}/info'
{
  "data": {
    "USDC": {
      "debt": "750.25",
      "dueDate": "2025-07-15T23:59:59Z",
      "healthFactor": "1.85",
      "interest": "12.34",
      "liquidationLimit": "900.00",
      "mHealthFactor": "1.10",
      "principal": "737.91",
      "remainingCreditCapacity": "1249.75",
      "totalCollateralValue": "2500.00",
      "totalCreditCapacity": "2000.00"
    }
  }
}

Path Parameters

account
string
required

Ethereum account address

Response

User credit information

data
object
required

map of credit token symbol (e.g., "USDC") to user credit info